- @page_title = t('.title')

= render 'layouts/page_actions', back_url: admin_resource_interactions_path,
                                 edit_url: edit_admin_resource_interaction_path(@resource_interaction),
                                 destroy_url: admin_resource_interaction_path(@resource_interaction)

._show-page
  %aside._show-page__panel
    %section
      %dl
        %dt= t('generic.definition', value: t('generic.id'))
        %dd.-text--monospace= @resource_interaction.id

        %dt= t('generic.definition', value: t('activerecord.attributes.resource_interaction.subject'))
        %dd= @resource_interaction.subject.name

        %dt= t('generic.definition', value: t('activerecord.attributes.resource_interaction.nature'))
        %dd= @resource_interaction.nature

        %dt= t('generic.definition', value: t('activerecord.attributes.resource_interaction.target'))
        %dd= @resource_interaction.target.name

        %dt= t('generic.definition', value: t('activerecord.attributes.resource_interaction.sources'))
        - sources = @resource_interaction.sources&.split("\n")&.compact || []
        = missing_data_element :dd, @resource_interaction.sources,
                                    url: edit_admin_resource_interaction_path(@resource_interaction) do
          %ul
            - sources.each do |source|
              %li= link_to source, source

  ._show-page__content
    %h2= t('activerecord.attributes.resource_interaction.notes')
    = @resource_interaction.notes
